Newbie : Problème de lancement avec Ubuntu

Bonjour,
J’ai Ubuntu 14.10, j’ai téléchargé Cutecoin (il y a 2 mois, et la dernière) et quand je double clique sur cutecoin pour installer, rien ne se passe…
Merci pour vos lumières!

Etrange… Peux tu ouvrir un terminal dans le dossier et entrer ./cutecoin et copier coller la sortir ?

vincent@vincent-HP-Compaq-6730b-GW687AV:~$ ./cutecoin
bash: ./cutecoin: Aucun fichier ou dossier de ce type

Pourtant j’ai bien le dossier sur mon bureau : exe.linux-x86_64-3.4
Avec l’icone cutecoin à l’intérieur

La version de Ubuntu utilisée est-elle une 64 bits ou une 32 bits ?
Il faut d’abord aller dans le dossier “exe.linux-x86_64-3.4” pour pouvoir réaliser ./cutecoin

cd ~/Desktop/exe.linux-x86_64-3.4
./cutecoin

C’est une version 32 bits. Et voici ce que ça affiche :

vincent@vincent-HP-Compaq-6730b-GW687AV:~/Bureau/exe.linux-x86_64-3.4$ ./cutecoin
bash: ./cutecoin : impossible d’exécuter le fichier binaire : Erreur de format pour exec()

Ah oui, c’est l’exécutable 64 bits que tu as pris.

L’exécutable 32 bits n’a malheuresement pas été release, la 0.10.0 va sortir aujourd’hui ou demain, on tâchera de compiler une version 32 bits !

Merci j’ai compris!
Ce dimanche je participe a la journée monnaie libre, peut être sera t il possible d’installer cette version 32 bits?

Je viens de mettre en ligne la version 32bits.

1 « J'aime »

Bonjour,

Je viens de télécharger le dossier “exe.ubuntu-i686-3.4” sur GitHub (je pense que c’est la version 32 bits), mais ça ne veut toujors pas… Voici ce que renvoie la commande ./cutecoin :

vincent@vincent-HP-Compaq-6730b-GW687AV:~/Bureau/exe.ubuntu-i686-3.4$ ./cutecoin
Traceback (most recent call last):
File “/usr/local/lib/python3.4/dist-packages/libnacl/init.py”, line 67, in _get_nacl
File “/usr/lib/python3.4/ctypes/init.py”, line 429, in LoadLibrary
return self._dlltype(name)
File “/usr/lib/python3.4/ctypes/init.py”, line 351, in init
self._handle = _dlopen(self._name, mode)
OSError: tweetnacl.so: cannot open shared object file: No such file or directory

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/usr/local/lib/python3.4/dist-packages/cx_Freeze/initscripts/Console3.py”, line 27, in
File “src/cutecoin/main.py”, line 12, in
File “/usr/lib/python3.4/importlib/_bootstrap.py”, line 2214, in _find_and_load
if name in sys.modules:
File “/usr/lib/python3.4/importlib/_bootstrap.py”, line 2203, in _find_and_load_unlocked

File “/usr/lib/python3.4/importlib/_bootstrap.py”, line 1191, in _load_unlocked
return self._load_backward_compatible()
File “/usr/lib/python3.4/importlib/_bootstrap.py”, line 1161, in _load_backward_compatible
spec.loader.load_module(spec.name)
File “/home/vit/Documents/dev/python/cutecoin/src/cutecoin/gui/mainwindow.py”, line 15, in
File “/usr/lib/python3.4/importlib/_bootstrap.py”, line 2214, in _find_and_load
if name in sys.modules:
File “/usr/lib/python3.4/importlib/_bootstrap.py”, line 2203, in _find_and_load_unlocked

File “/usr/lib/python3.4/importlib/_bootstrap.py”, line 1191, in _load_unlocked
return self._load_backward_compatible()
File “/usr/lib/python3.4/importlib/_bootstrap.py”, line 1161, in _load_backward_compatible
spec.loader.load_module(spec.name)
File “/home/vit/Documents/dev/python/cutecoin/src/cutecoin/gui/process_cfg_account.py”, line 8, in
File “/usr/lib/python3.4/importlib/_bootstrap.py”, line 2214, in _find_and_load
if name in sys.modules:
File “/usr/lib/python3.4/importlib/_bootstrap.py”, line 2189, in _find_and_load_unlocked
if not isinstance(name, str):
File “/usr/lib/python3.4/importlib/_bootstrap.py”, line 321, in _call_with_frames_removed
return f(*args, **kwds)
File “/usr/lib/python3.4/importlib/_bootstrap.py”, line 2214, in _find_and_load
if name in sys.modules:
File “/usr/lib/python3.4/importlib/_bootstrap.py”, line 2203, in _find_and_load_unlocked

File “/usr/lib/python3.4/importlib/_bootstrap.py”, line 1191, in _load_unlocked
return self._load_backward_compatible()
File “/usr/lib/python3.4/importlib/_bootstrap.py”, line 1161, in _load_backward_compatible
spec.loader.load_module(spec.name)
File “/home/vit/Documents/dev/python/cutecoin/lib/ucoinpy/documents/init.py”, line 10, in
File “/usr/lib/python3.4/importlib/_bootstrap.py”, line 2214, in _find_and_load
if name in sys.modules:
File “/usr/lib/python3.4/importlib/_bootstrap.py”, line 2203, in _find_and_load_unlocked

File “/usr/lib/python3.4/importlib/_bootstrap.py”, line 1191, in _load_unlocked
return self._load_backward_compatible()
File “/usr/lib/python3.4/importlib/_bootstrap.py”, line 1161, in _load_backward_compatible
spec.loader.load_module(spec.name)
File “/home/vit/Documents/dev/python/cutecoin/lib/ucoinpy/key/init.py”, line 10, in
File “/usr/lib/python3.4/importlib/_bootstrap.py”, line 2214, in _find_and_load
if name in sys.modules:
File “/usr/lib/python3.4/importlib/_bootstrap.py”, line 2189, in _find_and_load_unlocked
if not isinstance(name, str):
File “/usr/lib/python3.4/importlib/_bootstrap.py”, line 321, in _call_with_frames_removed
return f(*args, **kwds)
File “/usr/lib/python3.4/importlib/_bootstrap.py”, line 2214, in _find_and_load
if name in sys.modules:
File “/usr/lib/python3.4/importlib/_bootstrap.py”, line 2203, in _find_and_load_unlocked

File “/usr/lib/python3.4/importlib/_bootstrap.py”, line 1191, in _load_unlocked
return self._load_backward_compatible()
File “/usr/lib/python3.4/importlib/_bootstrap.py”, line 1161, in _load_backward_compatible
spec.loader.load_module(spec.name)
File “/usr/local/lib/python3.4/dist-packages/libnacl/init.py”, line 75, in
File “/usr/local/lib/python3.4/dist-packages/libnacl/init.py”, line 73, in _get_nacl
OSError: Could not locate nacl lib, searched for libsodium.so, libsodium.so.13, libsodium.so.10, libsodium.so.5, libsodium.so.4, and tweetnacl.so

Il faut installer la libsodium.

wget http://archive.ubuntu.com/ubuntu/pool/universe/libs/libsodium/libsodium13_1.0.1-1_i386.deb
sudo dpkg -i libsodium13_1.0.1-1_i386.deb